## ros-kinetic-leuze-rsl-driver 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(leuze_rsl_driver)

add_compile_options(-std=c++14)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  leuze_msgs
  angles
)

find_package(Boost REQUIRED)


include_directories(include 
  ${catkin_INCLUDE_DIRS} 
  ${Boost_INCLUDES}
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp sensor_msgs leuze_msgs
)

add_executable(leuze_rsl_driver src/leuze_rsl_driver.cpp
                    src/rsl400/rsl400_interface.cpp)
target_link_libraries(leuze_rsl_driver ${catkin_LIBRARIES})
add_dependencies(leuze_rsl_driver ${catkin_EXPORTED_TARGETS})


install(TARGETS leuze_rsl_driver RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)

    add_rostest_gtest(test_parse_data test/test_parse_data.test test/test_parse_data.cpp src/rsl400/rsl400_interface.cpp)
    target_link_libraries(test_parse_data ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
    add_dependencies(test_parse_data ${catkin_EXPORTED_TARGETS})
endif()

=== debian/changelog ===
ros-kinetic-leuze-rsl-driver (1.0.1-1xenial) xenial; urgency=high

  * Fixed dependency on angles
  * Contributors: kut

 -- Ludovic Delval <ludovic.delval@ipa.fraunhofer.de>  Wed, 13 Nov 2019 23:00:00 -0000

ros-kinetic-leuze-rsl-driver (1.0.0-1xenial) xenial; urgency=high

  * Merge branch 'package_updates' into 'master'
    Package updates
    See merge request ipa326/leuze_ros_drivers!10
  * Added author and maintainer info
  * Updated README.md of all packages
  * Merge branch 'refactoring' into 'master'
    Refactoring
    See merge request ipa326/leuze_ros_drivers!7
  * Fixed errors in packages
  * Fixed catkin lint warning
  * Improving verbosity of console messages
  * Parametrizing scanner parameters
  * Merge branch 'refactored_architecture' into 'master'
    Refactored architecture
    See merge request ipa326/leuze_ros_drivers!6
  * refactored leuze_rsl_driver
  * Contributors: Ludovic Delval, Tejas Kumar Shastha, kut

 -- Ludovic Delval <ludovic.delval@ipa.fraunhofer.de>  Sun, 10 Nov 2019 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-leuze-rsl-driver
Section: misc
Priority: optional
Maintainer: Ludovic Delval <ludovic.delval@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-leuze-msgs, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-leuze-rsl-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-angles, ros-kinetic-leuze-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: ROS Driver for the Leuze RSL series laser scanner.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-leuze-rsl-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
